function H = HZJij(S,ChSh,Jij,B0,Jcase)


switch Jcase
    case "full"    
        V=0;
        for in=1:S.N-1
            for im=in+1:S.N
                V=V+Jij(in,im)*(S.x{in}*S.x{im}+S.y{in}*S.y{im}+S.z{in}*S.z{im});
            end
        end
    case "ZZ"
        V=0;
        for in=1:S.N-1
            for im=in+1:S.N
                V=V+Jij(in,im)*(S.z{in}*S.z{im});
            end
        end
    otherwise 
        error ("do not support it")
end


H=0;
for in=1:S.N
   H=H-(1+ChSh(in))*S.g_gh{in}*S.z{in}; 
end

H=H*B0*S.gH/(2*pi)+V;


