function onlyplot()

p = LoadPath();

System=load_System_name();
System_index=9;


INEPT_type{1}=         "phINEPTplus";
INEPT_type{2}=   "sel90_phINEPTplus";
INEPT_type{3}=  "osel90_phINEPTplus";
INEPT_type{4}="o11sel90_phINEPTplus";
INEPT_type{5}="o01sel90_phINEPTplus";
INEPT_type{6}="o10sel90_phINEPTplus";
INEPT_type{7}=           "ESOTHERIC";
INEPT_type{8}=         "SPESOTHERIC";
INEPT_type{9}=          "SEPPINEPT+";
INEPT_type{10}=   "SEPPINEPT+others";
INEPT_type_index=7; %4,8,10

Folder{1}="out\";
Folder{2}="out\phINEPT_300ms_100steps\";
folder_index=1;

[ex,Ymap] = load_Ymap(Folder{folder_index},INEPT_type{INEPT_type_index},System{System_index});

%plot_Ymap(ex,Ymap);
[X, Y] = meshgrid(ex.t1v,ex.t2v); 
texts.x = '\tau_1, s';
texts.y = '\tau_2, s';
%texts.title = 'phINEPT+ X';
texts.title = ' ';
ax=plot2D(X,Y,Ymap.X,texts);
'max'
[m, n1]=max(max(abs(Ymap.X)));
[m, n2]=max(abs(Ymap.X(:,n1)));
display("tau 1, tau 2, maxP");
[ex.t1v(n1), ex.t2v(n2), Ymap.X(n2,n1)]
axis([0 0.15 0 0.15, -100,100]);
%axis([0.04 0.1 0.19 0.24, -100,100]);
caxis([-100,100]);
%colorbar('XTick', -50:25:50)
%print(gcf, '-dtiff', 'myfigure.tiff');
imagewd = getframe(gcf); 
imwrite(imagewd.cdata, "out\"+INEPT_type{INEPT_type_index}+System{System_index}+".tiff",'Compression','none','Resolution',300);
%To change the quality of a TIFF file, you can specify 'Compression',''none' and increase the resolution with 'Resolution',300.
end

