function onlyplotJCH1JCH2()

p = LoadPath();

System=load_System_name();
System_index=29;


Folders{1}="outJCH1JCH2PHINEPT";
Folders{2}="outJCH1JCH2ESOTHERIC015";
Folders{3}="outJCH1JCH2SPIN011";
Folders{4}="outJCH1JCH2SEPPINEPT";
Folders{5}="outJCH1JCH2";
Folders{7}="outJCH1JCH2ESOTHERIC2";
Folders{8}="outJCH1JCH2SEPPOTHERS2";

folder=Folders{8}


DataMax=load(folder+"\DataMaxX.dat");
DataMax=load(folder+"\DataMaxY.dat");
t1v=load(folder+"\t1v.dat");
t2v=load(folder+"\t2v.dat");
JCH1=load(folder+"\JCH1.dat");
JCH2=load(folder+"\JCH2.dat");


% t1v = linspace(0.0,0.3,200)';
% t2v = linspace(0.0,0.3,202)';
% JCH1=linspace(-10,10,113)';
% JCH2=linspace(-10,10,111)';

[X, Y] = meshgrid(JCH1,JCH2); 
texts.x = 'JCH_1 (Hz)';
texts.y = 'JCH_2 (Hz)';
%texts.title = "max(abs(P(0-0.3s,0-0.3s)) spy011nept Dd=3ppm, JHH=7Hz";
texts.title = " ";
"max"
max(max(abs(DataMax)))
ax=plot2D(X,Y,abs(DataMax),texts);
caxis([0,100]);


%print(gcf, '-dtiff', 'myfigure.tiff');
imagewd = getframe(gcf); 
imwrite(imagewd.cdata, folder+"\DataMax_abs.tiff",'Compression','none','Resolution',300);
%To change the quality of a TIFF file, you can specify 'Compression',''none' and increase the resolution with 'Resolution',300.
end

