clear all; %clear all and delete all previous data
LoadPath();

Systems=load_System_name();
System_index=10;%8 10 23 24
System=Systems(System_index);


Folder="out/";
INEPT_type="SEPP";

ex.t1v=load(Folder+INEPT_type+System+"t1.dat");
Ymap.X=load(Folder+INEPT_type+System+"X.dat");
Ymap.Y=load(Folder+INEPT_type+System+"Y.dat");
Ymap.Z=load(Folder+INEPT_type+System+"Z.dat");

f=figure('Name','Measured Data','Color','white');

ax=axes('Box','on');
plot(ex.t1v,Ymap.X,'LineWidth',2);
ax.set('FontSize',20,'FontName','Arial','TickDir','out','TickLength',[0.02 0.025],'XMinorTick','on','YMinorTick','on','Box','on','LineWidth',3);  
title({'SEPP',' '},'FontSize',16,'FontName','Arial');%'phINEPT+ Z'
xlabel('x','FontSize',20,'FontName','Arial');%'t1, s'
ylabel('y','FontSize',20,'FontName','Arial');%'t2, s'

imagewd = getframe(gcf); 
imwrite(imagewd.cdata, "out\"+INEPT_type+System+".tiff",'Compression','none','Resolution',300);


