%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; %clear all and delete all previous data
LoadPath();
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
tic 
%%%%%%%%%%%%%%%%%  phINEPT+, start from S, evolution during seq %%%%%%
%___1__ 2___3____4____5___6____7___8_____9__10
%phINEPTplus
%1H%__(45)Y-t1-(180)X-t1-(90)Y-t2-(180)X-t2
% X%_______-t1-(180)X-t1-(90)X-t2-(180)X-t2-FID
%SEPP_phINEPTplus
%1H%__(90)Ysel-t1-(180)X-t1-(90)Y-t2-(180)X-t2
% X%__________-t1-(180)X-t1-(90)X-t2-(180)X-t2-FID
%ESOTHERIC
%1H%__(90)Y-t1-(180)X-t1-(90)mY-t2-(180)X-t2-(90)Y-t1-(180)X-t1-
% X%_______-t1-(180)X-t1-______-t2-______-t2-(90)Y-t1-(180)X-t1-FID

System=load_System_name();
System_index=2;% 10 8

INEPT_type{1}=         "phINEPTplus";
INEPT_type{2}=   "sel90_phINEPTplus";
INEPT_type{3}=  "osel90_phINEPTplus";
INEPT_type{4}="o11sel90_phINEPTplus";
INEPT_type{5}="o01sel90_phINEPTplus";
INEPT_type{6}="o10sel90_phINEPTplus";
INEPT_type{7}=           "ESOTHERIC";
INEPT_type{8}=         "SPESOTHERIC";
INEPT_type{9}=          "SEPPINEP";
INEPT_type{10}=   "SEPPINEPT+others";
INEPT_type{11}="l10sel90_phINEPTplus";

INEPT_type_index=11;%4,8,10

ex = load_System(System{System_index});
ex.B0=9.4;% Tesla
ex.t1v = linspace(0.0,0.350,80)';
ex.t2v = linspace(0.0,0.350,81)';
%!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
%Important for SEPP type INEPTS
%ex.t0 = 1/(4*ex.J(1,2)) % set for sepp
ex.t0 = 14e-3 % system 8  "Eth-Pyruvate-spin9-sCH2";

Ymap = get_INEPTmap(ex,INEPT_type{INEPT_type_index});

plot_Ymap(ex,Ymap);

Folder="out/";
save_Ymap(Folder,INEPT_type{INEPT_type_index},System{System_index},ex,Ymap)

toc








